Bug 302441 - Intel ICH8 no sound Fedora 7
Intel ICH8 no sound Fedora 7
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-23 21:22 EDT by Nils Homer
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:38:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file from audio configuration (55.10 KB, text/plain)
2007-09-23 21:22 EDT, Nils Homer
no flags Details
log after failure to load snd-hda-intel.ko (54.05 KB, text/plain)
2007-11-24 14:35 EST, Les Dunaway
no flags Details
log after failure to load snd-hda-intel.ko (419 bytes, text/plain)
2007-11-24 14:35 EST, Les Dunaway
no flags Details
Output from sound card wizard (56.52 KB, text/plain)
2008-02-10 07:31 EST, Simon Lewis
no flags Details

  None (edit)
Description Nils Homer 2007-09-23 21:22:12 EDT
Description of problem:

No sound after a fresh install of Fedora 7.  Tried to go to System ->
administration -> Soundcard Detection.  Recognized my soundcard as:
Vendor: Intel
Model: Corporation 82801H (ICH8 Family) HD Audio Controller
Module: snd-hda-intel

I pressed "test sound" with no sound.  It told me to post two files to bugzilla.
 The first file (scsconfig.log) is attached.  The second file (scsrun.log) is
found below. Sound works fine in Ubuntu 7.04 and Windows XP.  

scsrun.log:
[CODE]
------- System Config Soundcard Log --------
Sun Sep 23 18:15:25 PDT 2007

aplay: main:545: audio open error: No such file or directory
[/CODE]

Hardware:
Intel Quad-core 2.4GHz
8GB 667 DDR2 RAM
Abit AB9 QuadGT 
Nvidia 8500 GT
Dvico FusionHDTV5 RT Gold
1 Raptor 150GB HD
4 Barracuda 500GB HD
Comment 1 Nils Homer 2007-09-23 21:22:12 EDT
Created attachment 203641 [details]
log file from audio configuration
Comment 2 Martin Stransky 2007-09-25 05:01:01 EDT
Remove these lines from /etc/modprobe.conf:

options cx88-alsa index=1
options snd cards_limit=8
alias snd-card-0 snd-hda-intel
options snd-hda-intel index=0
alias snd-card-7 snd-usb-audio
options snd-usb-audio index=7

reboot your box, run system-config-soundcard and try to reconfigure your
sound-cards. 
Comment 3 Les Dunaway 2007-11-24 14:35:27 EST
Created attachment 268111 [details]
log after failure to load snd-hda-intel.ko
Comment 4 Les Dunaway 2007-11-24 14:35:56 EST
Created attachment 268121 [details]
log after failure to load snd-hda-intel.ko
Comment 5 Les Dunaway 2007-11-24 14:39:01 EST
Comment on attachment 268111 [details]
log after failure to load snd-hda-intel.ko

Same problm on Thinkpad R61 with Intel 82801H sound controller
Comment 6 Simon Lewis 2008-02-10 07:31:10 EST
Created attachment 294494 [details]
Output from sound card wizard

Same problem on a Lenovo FC8
Comment 7 Simon Lewis 2008-02-10 10:33:13 EST
I got the sound working on my laptop by adding this to modprobe.conf:

options snd_hda_intel model=lenovo

All the other setting provided by the tools are good
Comment 8 Brian Powell 2008-04-25 00:38:27 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.